Package com.smartgwt.client.widgets.calendar

# Class DisableDateCustomizer

java.lang.Object
com.smartgwt.client.widgets.calendar.DisableDateCustomizer

public abstract class DisableDateCustomizer extends Object
Called to determine whether the passed date should be considered disabled in the passed view

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisableDateCustomizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `executeDefault(Date date, CalendarView calendarView)`
  Call executeDefault() to run the original method for default behavior
  `Calendar`
  `getCalendar()`
  Returns the Calendar being customized
  `void`
  `setCalendar(Calendar calendar)`
  `abstract boolean`
  `shouldDisableDate(Date date, CalendarView calendarView)`
  shouldDisableDate() should be implemented and return true if the passed date should be considered disabled in the passed view Use executeDefault() to run the original method to fall back on default behavior.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DisableDateCustomizer

    public DisableDateCustomizer()

- ## Method Details

  - ### setCalendar

    public void setCalendar(Calendar calendar)

  - ### getCalendar

    public Calendar getCalendar()
    Returns the Calendar being customized
    Returns:
      Calendar being customized

  - ### executeDefault

    public boolean executeDefault(Date date, CalendarView calendarView)
    Call executeDefault() to run the original method for default behavior

  - ### shouldDisableDate

    public abstract boolean shouldDisableDate(Date date, CalendarView calendarView)
    shouldDisableDate() should be implemented and return true if the passed date should be considered disabled in the passed view Use executeDefault() to run the original method to fall back on default behavior.
    Parameters:
      `date` - the date in question
      `calendarView` - the view in which the date cell exists
    Returns:
      true if the date should be considered disabled, or false otherwise